> ## Documentation Index
> Fetch the complete documentation index at: https://www.mintlify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get page content

> Retrieve the full text content of a specific documentation page by its path. Use this after a search to fetch the complete content of a matching page.

## Rate limits

* 10,000 requests per Mintlify organization per hour


## OpenAPI

````yaml /discovery-openapi.json POST /v1/page/{domain}
openapi: 3.0.1
info:
  title: Mintlify Assistant API
  description: An API to integrate Mintlify discovery features into your product.
  version: 1.0.0
servers:
  - url: https://api.mintlify.com/discovery
security:
  - bearerAuth: []
paths:
  /v1/page/{domain}:
    post:
      summary: Get page content
      description: >-
        Retrieve the full text content of a specific documentation page by its
        path. Use this after a search to fetch the complete content of a
        matching page.
      parameters:
        - name: domain
          in: path
          required: true
          schema:
            type: string
          description: >-
            The domain identifier from your `domain.mintlify.app` URL. Can be
            found at the end of your dashboard URL. For example,
            `app.mintlify.com/organization/domain` has a domain identifier of
            `domain`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - path
              properties:
                path:
                  type: string
                  description: >-
                    The page slug or path to retrieve content for. This
                    corresponds to the `page` field returned by the [Search
                    documentation](/api/assistant/search) endpoint.
      responses:
        '200':
          description: Page content retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  path:
                    type: string
                    description: The page path that was requested.
                  content:
                    type: string
                    description: The full text content of the page.
        '404':
          description: Page not found or no search index available
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message describing why the page could not be found.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        The Authorization header expects a Bearer token. Use an assistant API
        key (prefixed with `mint_dsc_`). This is a public key safe for use in
        client-side code. Generate one on the [API keys
        page](https://app.mintlify.com/settings/organization/api-keys) in your
        dashboard.

````

## Related topics

- [Mintlify REST API introduction](/docs/api/introduction.md)
- [Get page views](/docs/api/analytics/views.md)
- [Get feedback by page](/docs/api/analytics/feedback-by-page.md)
